Subject: Re: [PATCH v2 1/1] upload-pack.c: increase output buffer size

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Dec 2021 11:50:47 -0800

Jacob Vosmaer <[email-masked]> writes:

> When serving a fetch, git upload-pack copies data from a git
> pack-objects stdout pipe to its stdout. This commit increases the size
> of the buffer used for that copying from 8192 to 65515, the maximum
> sideband-64k packet size.

Thanks.  I agree with others that extra configurability is not
needed in this case, and allocating this on the heap (as long as we
correctly deallocate it when we are done) is the right thing.

Will queue.  Thanks.